SLABTOP(1)

NUME
slabtop - afișează în timp real informațiile din zona de prestocare a memoriei „slab” din nucleu

REZUMAT
slabtop [opțiuni]

DESCRIERE
slabtop afișează în timp real informații detaliate din zona de prestocare a memoriei „slab” din nucleu. Afișează o listă cu principale zone de prestocare a memoriei, sortate după unul dintre criteriile de sortare enumerate. De asemenea, afișează un antet de statistici plin cu informații despre stratul „slab” (obiecte alocate nucleului).

OPȚIUNI
Invocarea normală a lui slabtop nu necesită nicio opțiune. Comportamentul, totuși, poate fi ajustat prin specificarea uneia sau a mai multora dintre următoarele opțiuni:

-d, --delay=N
    Reîmprospătează afișajul la fiecare n secunde. În mod implicit, slabtop reîmprospătează afișajul la fiecare trei secunde. Pentru a ieși din program, apăsați q. Această opțiune nu poate fi combinată cu opțiunea -o.

-s, --sort=S
    Sortați după S, unde S este unul dintre criteriile de sortare.

-o, --once
    Afișează ieșirea o dată și apoi iese.

-V, --version
    Afișează informațiile despre versiune și iese.

-h, --help
    Afișează informațiile de utilizare și iese.

CRITERIILE DE SORTARE
Următoarele sunt criterii de sortare valide utilizate pentru a sorta zonele de prestocare «slab» individuale și, prin urmare, pentru a determina care sunt zonele de prestocare «slab» „principale” de afișat. Criteriul implicit de sortare este sortarea după numărul de obiecte ("o").

Criteriile de sortare pot fi modificate și în timp ce slabtop rulează apăsând caracterul asociat.
caracter | descriere | antet
a | numărul de obiecte active | ACTIVE
b | obiecte per „slab” | OBJ/SLAB
c | dimensiunea zonei de prestocare | DIM. CACHE
l | numărul de „slabs” | SLABS
v | numărul de „slabs” active | N/D
n | nume | NUME
o | numărul de obiecte | OBJS
p | pagini per „slab” | N/D
s | dimensiunea obiectului | DIM. OBJ
u | utilizarea zonei de prestocare | USE

COMENZI
slabtop acceptă comenzi de la tastatură de la utilizator în timpul utilizării. Sunt acceptate următoarele. În cazul literelor, ambele tipuri (majuscule + minuscule) sunt acceptate.

Fiecare dintre caracterele de sortare valide sunt de asemenea acceptate, pentru a schimba rutina de sortare. Consultați secțiunea CRITERIILE DE SORTARE.

<BARA_DE_SPAȚIU>
    Reîmprospătează ecranul.

Q   Ieșire din program.

FIȘIERE

/proc/slabinfo
    informații despre „slab”

CONSULTAȚI ȘI
free(1), ps(1), top(1), vmstat(8)

NOTE
În prezent, slabtop necesită un nucleu 2.4 sau mai recent (în special, o versiune 1.1 sau mai recentă a /proc/slabinfo). Nucleul 2.2 ar trebui să fie acceptat în viitor.

Antetul statistic slabtop urmărește câți octeți de „slabs” sunt utilizați și nu este o măsură a memoriei fizice. Câmpul „Slab” din fișierul /proc/meminfo urmărește informații despre memoria fizică „slab” utilizate.

Coloana DIM. CACHE nu este precisă, ci reprezintă limita superioară a memoriei utilizate de un anumit „slab”. Atunci când sistemul care utilizează „slub” (cel mai frecvent caz) este supus unei presiuni mari asupra memoriei, există scăpări de ordine a „slabs”, ceea ce înseamnă că «paginile per „slab”» nu sunt constante și pot scădea.

AUTORI
Scris de Chris Rivera și Robert Love.

slabtop a fost inspirat de scriptul perl al lui Martin Bligh, vmtop.

RAPORTAREA ERORILOR
Trimiteți rapoartele de eroare la procps@freelists.org